Skip to main content
Generate the highest quality images using Flux.2 Max.

Model

black-forest-labs/flux.2-max

Parameters

ParameterTypeRequiredDefaultDescription
promptstringYes-Text description of the image
aspect_ratiostringNo"16:9""21:9", "16:9", "4:3", "1:1", "3:4", "9:16", "9:21"
resolutionstringNo"1mp""0.6mp", "1mp", "2mp", "4mp"
image_urlsstring[]NonullReference image URLs

Example Request

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "black-forest-labs/flux.2-max",
    "input": {
      "prompt": "A beautiful sunset over mountains",
      "aspect_ratio": "21:9",
      "resolution": "2mp"
    }
  }'

With Reference Images

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "black-forest-labs/flux.2-max",
    "input": {
      "prompt": "Make him dance",
      "image_urls": ["https://example.com/photo.jpg"],
      "aspect_ratio": "9:16",
      "resolution": "2mp"
    }
  }'

Response

{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "pending"
  }
}